commit:     c4633a6030af295d5dbab0b7039f6be173580976
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 26 15:48:29 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Mar 26 15:54:13 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4633a60

app-admin/puppet: 5.5.12 bump

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 app-admin/puppet/Manifest             |   1 +
 app-admin/puppet/puppet-5.5.12.ebuild | 144 ++++++++++++++++++++++++++++++++++
 2 files changed, 145 insertions(+)

diff --git a/app-admin/puppet/Manifest b/app-admin/puppet/Manifest
index bab0859f6f7..2136f2932d8 100644
--- a/app-admin/puppet/Manifest
+++ b/app-admin/puppet/Manifest
@@ -1,4 +1,5 @@
 DIST puppet-4.10.12.tar.gz 3022218 BLAKE2B 
03757857868b1544078ae5e40d6e438631c788f1b01a3e62ba90e477b754601d2c085228e084363ff20ee39728b02ebe8ca83e17f7c79dddae1c3968aef4e320
 SHA512 
ff7accf70b1d4de7282cf3b41246151c49c4758a41ace56a470e4723749638027011cf170747e66fa5812280e1612e754e12d92dd35fa6c93171f7187bb9cfa2
 DIST puppet-5.5.10.tar.gz 3064457 BLAKE2B 
04cac9cebc03343b8c6fcf762f681f63bce4ebe27b6e7e727d06b14f0013a6c4b0ed7ff793e01b170931a881a921b4a2f107a5e37d1ac9394046f8611a7adaaf
 SHA512 
70a5684289fc576853bf908adff44c1b1ce4b37d71236e7d7a8d140fa0e3cdd46a4b570cc7e493a3f47641f6be0c3b736ab04a178c30cce4244abe686378bf4b
+DIST puppet-5.5.12.tar.gz 3073481 BLAKE2B 
8044af48e7d86e754f767b42199814ff9b2dcda04f1e13920cea332ae79b23997cc1a17fe761bb5216d174bc5d77c244a9eba7752c004bf1558a648c334f698a
 SHA512 
33d844d671710adae1dbe184981143883bf4f3ac1516f8aedd1cd8d30157bc947a3a66df30c10a2357a8cb42dafe02a80a24007312b2107c68350ed0871a3249
 DIST puppet-6.2.0.tar.gz 2821615 BLAKE2B 
88b8ec856cfc6dacba5dfe44da7abce56a351f514057d3c916ecb5f4188703713cf7981984c2a59cb8073da93eab91a815dc2f52ee4f621c9a412897e9387d5e
 SHA512 
91540169d3c9c1715e78b416961f4f3957a01b0908c3b675fa75226361fb8161730ca47ed98a2e958d8841fd50086c75489c5ee53b41f933392f399d502bad9b
 DIST puppet-6.3.0.tar.gz 2831909 BLAKE2B 
ccf6353c0fc1fcdd4ac06e79bd8d91980162b8f1b2012fc2bfc1cdea3d2d6b22bf55216cea9b94a4024273ca9f76eedcc92a861de9db348408a361596033b51c
 SHA512 
1d30706049fe378facddb923a9ecb521d37faa84740251602ac340ea1299c247252fbdaca17f1ea450ff716ab26ac4e9524f1137080318e6d9237a9e2699f6b8

diff --git a/app-admin/puppet/puppet-5.5.12.ebuild 
b/app-admin/puppet/puppet-5.5.12.ebuild
new file mode 100644
index 00000000000..7f380bcc3fa
--- /dev/null
+++ b/app-admin/puppet/puppet-5.5.12.ebuild
@@ -0,0 +1,144 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_TASK_DOC="doc:all"
+
+RUBY_FAKEGEM_EXTRAINSTALL="locales"
+
+inherit eutils user ruby-fakegem eapi7-ver
+
+DESCRIPTION="A system automation and configuration management software."
+HOMEPAGE="http://puppetlabs.com/";
+SRC_URI="http://downloads.puppetlabs.com/puppet/${P}.tar.gz";
+
+LICENSE="Apache-2.0 GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+IUSE="augeas diff doc emacs ldap rrdtool selinux shadow sqlite vim-syntax"
+RESTRICT="test"
+
+ruby_add_rdepend "
+       dev-ruby/hiera
+       dev-ruby/json:=
+       >=dev-ruby/facter-3.0.0
+       augeas? ( dev-ruby/ruby-augeas )
+       diff? ( dev-ruby/diff-lcs )
+       doc? ( dev-ruby/rdoc )
+       ldap? ( dev-ruby/ruby-ldap )
+       shadow? ( dev-ruby/ruby-shadow )
+       sqlite? ( dev-ruby/sqlite3 )
+       virtual/ruby-ssl
+       dev-ruby/hocon"
+
+ruby_add_bdepend "
+       doc? ( dev-ruby/yard )
+       test? (
+               dev-ruby/mocha
+               dev-ruby/rack
+               dev-ruby/rspec-its
+       )"
+# this should go in the above lists, but isn't because of test deps not being 
keyworded
+#   dev-ruby/rspec-collection_matchers
+
+RDEPEND+=" ${RDEPEND}
+       rrdtool? ( >=net-analyzer/rrdtool-1.2.23[ruby] )
+       selinux? (
+               sys-libs/libselinux[ruby]
+               sec-policy/selinux-puppet
+       )
+       vim-syntax? ( >=app-vim/puppet-syntax-3.0.1 )
+       >=app-portage/eix-0.18.0"
+PDEPEND="emacs? ( >=app-emacs/puppet-mode-0.3-r1 )"
+
+pkg_setup() {
+       enewgroup puppet
+       enewuser puppet -1 -1 /var/lib/puppet puppet
+}
+
+all_ruby_prepare() {
+       # Avoid spec that require unpackaged json-schema.
+       rm spec/lib/matchers/json.rb $( grep -Rl matchers/json spec) || die
+
+       # can't be run within portage.
+       epatch "${FILESDIR}/puppet-fix-tests-4.7.0.patch"
+
+       # fix systemd path
+       epatch "${FILESDIR}/puppet-systemd.patch"
+
+       # Avoid specs that can only run in the puppet.git repository. This
+       # should be narrowed down to the specific specs.
+       rm spec/integration/parser/compiler_spec.rb || die
+
+       # Avoid failing spec that need further investigation.
+       rm spec/unit/module_tool/metadata_spec.rb || die
+}
+
+each_ruby_install() {
+       each_fakegem_install
+#      dosym "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${P}" 
"/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${PN}"
+}
+
+all_ruby_install() {
+       all_fakegem_install
+
+       # systemd stuffs
+       insinto /usr/lib/systemd/system
+       doins "${WORKDIR}/all/${P}/ext/systemd/puppet.service"
+
+       # tmpfiles stuff
+       insinto /usr/lib/tmpfiles.d
+       newins "${FILESDIR}/tmpfiles.d" "puppet.conf"
+
+       # openrc init stuff
+       newinitd "${FILESDIR}"/puppet.init-4.x puppet
+       newinitd "${FILESDIR}"/puppetmaster.init-4.x puppetmaster
+       newconfd "${FILESDIR}"/puppetmaster.confd puppetmaster
+
+       keepdir /etc/puppetlabs/puppet/ssl
+
+       keepdir /var/lib/puppet/facts
+       keepdir /var/lib/puppet/files
+       fowners -R puppet:puppet /var/lib/puppet
+
+       fperms 0750 /var/lib/puppet
+
+       fperms 0750 /etc/puppetlabs
+       fperms 0750 /etc/puppetlabs/puppet
+       fperms 0750 /etc/puppetlabs/puppet/ssl
+       fowners -R :puppet /etc/puppetlabs
+       fowners -R :puppet /var/lib/puppet
+
+       if use ldap ; then
+               insinto /etc/openldap/schema; doins ext/ldap/puppet.schema
+       fi
+
+       # ext and examples files
+       for f in $(find ext examples -type f) ; do
+               docinto "$(dirname ${f})"; dodoc "${f}"
+       done
+}
+
+pkg_postinst() {
+       elog
+       elog "Please, *don't* include the --ask option in EMERGE_EXTRA_OPTS as 
this could"
+       elog "cause puppet to hang while installing packages."
+       elog
+       elog "Portage Puppet module with Gentoo-specific resources:"
+       elog "http://forge.puppetlabs.com/gentoo/portage";
+       elog
+
+       for v in ${REPLACING_VERSIONS}; do
+               if [ "$(ver_cut 1 "$v")" -eq "4" ]; then
+                       elog
+                       elog "Please see the following url for the release 
notes for puppet-5"
+                       elog 
"https://docs.puppet.com/puppet/5.0/release_notes.html#if-youre-upgrading-from-puppet-4x";
+                       elog
+               fi
+       done
+}

Reply via email to